## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSourceTreeContentHandler Class Reference

`#include <XalanSourceTreeContentHandler.hpp>`

Inheritance diagram for XalanSourceTreeContentHandler:

[legend]
Collaboration diagram for XalanSourceTreeContentHandler:

[legend]
List of all members.

## Public Types

- typedef std::vector<XalanSourceTreeElement*> ElementStackType
- typedef std::vector<XalanNode*> LastChildStackType
- enum { eDefaultStackSize = 50, eDefaultTextBufferSize = 100 }

## Public Methods

- XalanSourceTreeContentHandler (XalanSourceTreeDocument *theDocument=0, bool fAccumulateText=true)
- virtual ~XalanSourceTreeContentHandler ()
- virtual void characters (const XMLCh *const chars, const unsigned int length)
- virtual void endDocument ()
- virtual void endElement (const XMLCh *const uri, const XMLCh *const localname, const XMLCh *const qname)
- virtual void ignorableWhitespace (const XMLCh *const chars, const unsigned int length)
- virtual void processingInstruction (const XMLCh *const target, const XMLCh *const data)
- virtual void setDocumentLocator (const LocatorType *const locator)
- virtual void startDocument ()
- virtual void startElement (const XMLCh *const uri, const XMLCh *const localname, const XMLCh *const qname, const AttributesType &attrs)
- virtual void startPrefixMapping (const XMLCh *const prefix, const XMLCh *const uri)
- virtual void endPrefixMapping (const XMLCh *const prefix)
- virtual void skippedEntity (const XMLCh *const name)
- virtual void notationDecl (const XMLCh *const name, const XMLCh *const publicId, const XMLCh *const systemId)
- virtual void unparsedEntityDecl (const XMLCh *const name, const XMLCh *const publicId, const XMLCh *const systemId, const XMLCh *const notationName)
- virtual void resetDocType ()
- virtual void comment (const XMLCh *const chars, const unsigned int length)
- virtual void endCDATA ()
- virtual void endDTD ()
- virtual void endEntity (const XMLCh *const name)
- virtual void startCDATA ()
- virtual void startDTD (const XMLCh *const name, const XMLCh *const publicId, const XMLCh *const systemId)
- virtual void startEntity (const XMLCh *const name)
- XalanSourceTreeDocument* getDocument () const
- void setDocument (XalanSourceTreeDocument *theDocument)

## Member Typedef Documentation

typedef std::vector< XalanSourceTreeElement *> XalanSourceTreeContentHandler::ElementStackType<XalanSourceTreeElement*>

typedef std::vector< XalanNode *> XalanSourceTreeContentHandler::LastChildStackType<XalanNode*>

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  eDefaultStackSize |
  eDefaultTextBufferSize |

## Constructor & Destructor Documentation

XalanSourceTreeContentHandler::XalanSourceTreeContentHandler ( | XalanSourceTreeDocument * theDocument = 0,
| bool fAccumulateText = true )`[explicit]`

XalanSourceTreeContentHandler::~XalanSourceTreeContentHandler ( | )`[virtual]`

## Member Function Documentation

void XalanSourceTreeContentHandler::characters ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

void XalanSourceTreeContentHandler::comment ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

void XalanSourceTreeContentHandler::endCDATA ( | )`[virtual]`

void XalanSourceTreeContentHandler::endDTD ( | )`[virtual]`

void XalanSourceTreeContentHandler::endDocument ( | )`[virtual]`

void XalanSourceTreeContentHandler::endElement ( | const XMLCh *const uri,
| const XMLCh *const localname,
| const XMLCh *const qname )`[virtual]`

void XalanSourceTreeContentHandler::endEntity ( | const XMLCh *const name )`[virtual]`

void XalanSourceTreeContentHandler::endPrefixMapping ( | const XMLCh *const prefix )`[virtual]`

XalanSourceTreeDocument * XalanSourceTreeContentHandler::getDocument ( | ) const

void XalanSourceTreeContentHandler::ignorableWhitespace ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

void XalanSourceTreeContentHandler::notationDecl ( | const XMLCh *const name,
| const XMLCh *const publicId,
| const XMLCh *const systemId )`[virtual]`

void XalanSourceTreeContentHandler::processingInstruction ( | const XMLCh *const target,
| const XMLCh *const data )`[virtual]`

void XalanSourceTreeContentHandler::resetDocType ( | )`[virtual]`

void XalanSourceTreeContentHandler::setDocument ( | XalanSourceTreeDocument * theDocument )

void XalanSourceTreeContentHandler::setDocumentLocator ( | const LocatorType *const locator )`[virtual]`

void XalanSourceTreeContentHandler::skippedEntity ( | const XMLCh *const name )`[virtual]`

void XalanSourceTreeContentHandler::startCDATA ( | )`[virtual]`

void XalanSourceTreeContentHandler::startDTD ( | const XMLCh *const name,
| const XMLCh *const publicId,
| const XMLCh *const systemId )`[virtual]`

void XalanSourceTreeContentHandler::startDocument ( | )`[virtual]`

void XalanSourceTreeContentHandler::startElement ( | const XMLCh *const uri,
| const XMLCh *const localname,
| const XMLCh *const qname,
| const AttributesType & attrs )`[virtual]`

void XalanSourceTreeContentHandler::startEntity ( | const XMLCh *const name )`[virtual]`

void XalanSourceTreeContentHandler::startPrefixMapping ( | const XMLCh *const prefix,
| const XMLCh *const uri )`[virtual]`

void XalanSourceTreeContentHandler::unparsedEntityDecl ( | const XMLCh *const name,
| const XMLCh *const publicId,
| const XMLCh *const systemId,
| const XMLCh *const notationName )`[virtual]`

The documentation for this class was generated from the following file:

- XalanSourceTreeContentHandler.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.